Bug 3510 - Allow staff to change checkin date and time
Summary: Allow staff to change checkin date and time
Status: CLOSED WONTFIX
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: PC All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Target Milestone: ---
Assignee: Jane Wagner
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-08-05 07:26 UTC by Jane Wagner
Modified: 2018-11-28 07:02 UTC (History)
5 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:11:33 UTC


---- Reported by jwagner@ptfs.com 2009-08-05 19:26:14 ----

Sponsored by East Brunswick Public Library, East Brunswick, NJ, USA.

If warranted, allow staff to change the "returned" date at checkin.  Useful if the library was unexpectedly closed for a period of time, etc.  Requires granular permission in another enhancement ( http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=3500 ).



---- Additional Comments From jwagner@ptfs.com 2010-05-12 13:13:00 ----

The fix for this bug (in ptfs-harley) can be pulled from the public git repository at http://github.com/Koha-PTFS, branchhttp://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=3510

Note: This varies from the existing dropbox function in that a checkin date can be set several days in the past, not just for the previous day.  However, this feature does not roll back fines like dropbox mode does.





--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:11 UTC  ---

This bug was previously known as _bug_ 3510 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=3510

Unknown operating system Windows 2000. Setting to default OS "All".
Actual time not defined. Setting to 0.0
The original reporter of this bug does not have
   an account here. Reassigning to the person who moved
   it here: chris@bigballofwax.co.nz.
   Previous reporter was jwagner@ptfs.com.
The original assignee of this bug does not have
   an account here. Reassigning to the default assignee
   for the component, gmcharlt@gmail.com.
   Previous assignee was kohaprogrammers@ptfs.com.
Bug reassigned, setting status to "NEW".
   Previous status was "ASSIGNED".

Comment 1 Paul Poulain 2011-03-22 12:51:46 UTC
patch available at: https://github.com/ptfs/Koha-PTFS
Comment 2 Nicole C. Engard 2011-03-22 21:20:47 UTC
A patch needs to be submitted based on master for this - and either a link
right to the patch or an attached patch is necessary.
Comment 3 Jared Camins-Esakov 2012-02-13 13:19:30 UTC
The Harley integration project has been stalled for some time.
Comment 4 Katrin Fischer 2018-11-28 07:02:09 UTC
This feature is available in current versions of Koha.